<?php

namespace Litecms\Information;

use DB;
use Illuminate\Database\Seeder;

class InformationTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('information')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'information.information.view',
                'name'      => 'View Information',
            ],
            [
                'slug'      => 'information.information.create',
                'name'      => 'Create Information',
            ],
            [
                'slug'      => 'information.information.edit',
                'name'      => 'Update Information',
            ],
            [
                'slug'      => 'information.information.delete',
                'name'      => 'Delete Information',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/information/information',
                'name'        => 'Information',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/information/information',
                'name'        => 'Information',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'information',
                'name'        => 'Information',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Information',
                'module'    => 'Information',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'information.information.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
