<?php

namespace Litecms\Information\Repositories\Eloquent;

use Litecms\Information\Interfaces\InformationRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class InformationRepository extends BaseRepository implements InformationRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.information.information.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.information.information.model.model');
    }
}
