Lavalite package that provides information management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/information`.

    "litecms/information": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Information\Providers\InformationServiceProvider::class,

And also add it to alias

    'Information'  => Litecms\Information\Facades\Information::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\InformationTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Information\Providers\InformationServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Information\Providers\InformationServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Information\Providers\InformationServiceProvider" --tag="view"


## Usage


